#include<bits/stdc++.h>
using namespace std;

int n;
pair<double, double> a[200010];
double uzmi, maxi;
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    cin >> n;
    uzmi=0.0;
    for(int i=0; i<n; ++i) {
        cin >> a[i].second >> a[i].first;
        uzmi+=a[i].second;
    }
    maxi=0.0;
    sort(a, a+n);
    for(int i=0; i<n; ++i) {
        maxi=max(maxi, uzmi*a[i].first);
        uzmi-=a[i].second;
    }
    cout << fixed << setprecision(6) << (maxi/100.0);
    return 0;
}